/*
 * Copyright (c) 2014 by David I. Bell
 * Permission is granted to use, distribute, or modify this source,
 * provided that this copyright notice remains intact.
 *
 * Old routines which call the new ones.
 */

#define	DPY_USE_OLD_FUNCTIONS 1

#include <stdarg.h>
#include <string.h>

#include "dpy_priv.h"


int
dpyinit(const char * ttyType, const char * modeString)
{
	if (dpyInit(ttyType, modeString))
		return 0;

	return -1;
}


int
dpywindow(int minRow, int maxRow, int minCol, int maxCol)
{
	if (dpyWindow(minRow, maxRow, minCol, maxCol))
		return 0;

	return -1;
}


int
dpyread(const char * prompt, int (*routine)(int),
	char * buf, int count, int initCount)
{
	return dpyRead(prompt, routine, buf, count, initCount);
}


int
dpytestinput(void)
{
	return dpyTestInput();
}


int
dpyinputchar(void)
{
	return dpyInputChar();
}


int
dpymove(int row, int col)
{
	if (dpyMove(row, col))
		return 0;

	return -1;
}


int
dpyplace(int row, int col, int ch)
{
	if (dpyPlaceChar(row, col, ch))
		return 0;

	return -1;
}


int
dpywrite(const char * buf, int count)
{
	if (dpyWrite(buf, count))
		return 0;

	return -1;
}


int
dpyprintf(const char * format, ...)
{
	va_list	ap;
	char buf[DPY_PRINTF_SIZE];

	va_start(ap, format);
	vsprintf(buf, format, ap);
	va_end(ap);

	if (dpyWrite(buf, strlen(buf)))
		return 0;

	return -1;
}


int
dpychar(int ch)
{
	if (dpyChar(ch))
		return 0;

	return -1;
}


int
dpystr(const char * str)
{
	if (dpyStr(str))
		return 0;

	return -1;
}


int
dpyget(int row, int col)
{
	return dpyGetChar(row, col);
}


void
dpyclrline(void)
{
	dpyClearLine();
}


void
dpyclrwindow(void)
{
	dpyClearWindow();
}


void
dpyhome(void)
{
	dpyHome();
}


int
dpygetrow(void)
{
	return dpyGetRow();
}


int
dpygetcol(void)
{
	return dpyGetCol();
}


void
dpyupdate(void)
{
	dpyUpdate();
}


void
dpyredraw(void)
{
	dpyRedraw();
}


int
dpystop(void)
{
	if (dpyStop())
		return 0;

	return -1;
}


int
dpysave(char ** ptr)
{
	if (!dpySave(ptr))
		return -1;

	return dpyGetSavedAllocation(*ptr);
}


int
dpyrestore(const char * ptr)
{
	if (dpyRestore(ptr))
		return 0;

	return -1;
}


void
dpyclose(void)
{
	dpyClose();
}

/* END CODE */

